<%@ page contentType="text/html; charset=ISO-8859-1" %>
<%@ page import="java.util.*, java.sql.*, drdcal.*" %>
<%@ taglib uri="/jstl-c" prefix="c" %>

<jsp:include page="head_tmpl.jsp">
    <jsp:param name="title" value="DrD Calendar" />
</jsp:include>

<%
Connection con = (Connection) getServletContext().getAttribute("dbcon");

UserInfo me = (UserInfo) session.getAttribute("me");
if (me == null) {
    me = new UserInfo(request.getRemoteUser(), con);
    me.setLastLogin(new java.util.Date());
    session.setAttribute("me", me);
}

Cal cal = (Cal) session.getAttribute("cal");
if (cal == null) {
    cal = new Cal();
    cal.init(me, con);
    session.setAttribute("cal", cal);
}
%>

<%
String[] tmp = null;
if ((tmp = request.getParameterValues("prev")) != null)
    cal.prevMonth(con);
if ((tmp = request.getParameterValues("today")) != null)
    cal.thisMonth(con);
if ((tmp = request.getParameterValues("next")) != null)
    cal.nextMonth(con);
%>

<%
//Collection otherCals = (Collection) session.getAttribute("otherCals");
Collection otherCals = null;
if (otherCals == null) {
    Iterator i = UserInfo.getAllUsers(con).iterator();
    otherCals = new ArrayList();
    while (i.hasNext()) {
	Map hash = (Map) i.next();
	String username = (String) hash.get("username");
	if (!username.equals(me.getUsername())) {
	    UserInfo user = new UserInfo(username, con);
	    Cal tmpCal = new Cal();
	    tmpCal.init(user, con);
	    tmpCal.setTime(cal.getTime(), con);
	    otherCals.add(tmpCal);	    
	}
    }
}
%>

<h2><%= cal.getMonthName() %></h2>
<form method="post" action="index_impl.jsp">
<table align="center" style="width: 600px;">

<tr><td><table border="0" align="center" cellspacing="0" cellpadding="2">

<tr>
<td>&nbsp;</td>
<%
for (int i = 1; i <= cal.getDaysInMonth(); ++i) {
    out.print("<th style=\"text-align: center; font-size: small;\">" +
	      i + "</th>");
}
%>
</tr>

<!-- me -->

<tr class="oddrow">
<th style="text-align: right; font-size: small;"><%= me.getUsername() %></th>
<%
for (int i = 1; i <= cal.getDaysInMonth(); ++i) {
    out.print("<td style=\"text-align: center;\">" +
	      "<input type=\"checkbox\" name=\"days\" value=\"" + i + "\"" +
	      (cal.contains(i) ? "checked>" : ">"));
}
%>
</tr>

<!-- others -->

<%
Iterator j = otherCals.iterator();
String trStyle = "evenrow";
while (j.hasNext()) {
    Cal tmpCal = (Cal) j.next();
    out.print("<tr class=\"" + trStyle + "\">" +
		"<th style=\"text-align: right; font-size: small;\">" +
		tmpCal.getUser().getUsername() + "</th>");
    String tdStyle = (trStyle.equals("evenrow") ? "evencell" : "oddcell");
    int i = 1;
    while (i <= tmpCal.getDaysInMonth()) {
	out.print("<td class=\"" + tdStyle + "\" " +
		  "style=\"text-align: center;\">" +
		  (tmpCal.contains(i) ?
		   "<img src=\"../image/dot.png\" alt=\"x\">" : "&nbsp;") +
		  "</td>");
	tdStyle = (tdStyle.equals("oddcell") ? "evencell" : "oddcell");
	++i;
    }
    out.println("</tr>");
    trStyle = (trStyle.equals("oddrow") ? "evenrow" : "oddrow");
}
%>

<tr>
<td>&nbsp;</td>
<%
for (int i = 1; i <= cal.getDaysInMonth(); ++i) {
    out.print("<th style=\"text-align: center; font-size: small;\">" +
	      i + "</th>");
}
%>
</tr>

</table></td></tr>

<!-- buttons  -->

<tr><td style="text-align:center;"><table align="center">
<tr>
<th style="text-align: left;"><a href="index.jsp?prev="><img src="../image/prev.png" alt="prev" border="0"></a></th>
<th style="text-align: left;"><a href="index.jsp?today="><img src="../image/today.png" alt="today" border="0"></a></th>
<th style="text-align: right;"><a href="index.jsp?next="><img src="../image/next.png" alt="next" border="0"></a></th>
</tr>
<tr>
<th colspan="3" style="text-align: center;"><input type="image" name="submit" src="../image/save.png" border="0"></th>
</tr>

</table></td></tr>

</table>
</form>

<!--
<pre>
<%= me %>
<%= cal %>
</pre>
-->

</body>
</html>
