<%@ page contentType="text/html; charset=ISO-8859-1" %>
<%@ page import="java.util.*, java.sql.*, drdcal.*" %>
<%@ taglib uri="/jstl-c" prefix="c" %>

<%
String tmp[] = null;
String username = null;
String email = null;
UserInfo userToEdit = null;

boolean forward = false;

if ((tmp = request.getParameterValues("username")) != null) username = tmp[0];
else forward = true;

if ((tmp = request.getParameterValues("email")) != null) email = tmp[0];
else forward = true;

if ((userToEdit = (UserInfo) session.getAttribute("userToEdit")) != null) {
    userToEdit.setUsername(username);
    userToEdit.setEmail(email);
}
else forward = true;

if (forward) {
    session.removeAttribute("userToEdit");
%>
<jsp:forward page="settings.jsp" />
<%
}
%>

<%
Connection con = (Connection) getServletContext().getAttribute("dbcon");

// syntax and semantic check
String errorMsg = null;

if (!userToEdit.emailOk()) {
    errorMsg = "Email is not in the form 'user@domain.name'";
}

if (!userToEdit.usernameOk(con)) {
    errorMsg = "Username should be unique and/or" +
	"<br>should consist only of [a-zA-Z_0-9] characters";
}

if (errorMsg != null) {
%>
<jsp:forward page="settings_detail.jsp">
    <jsp:param name="errorMsg" value="<%= errorMsg %>" />
</jsp:forward>
<%
}

// check ok, save to db
userToEdit.saveToDb(con);
%>

<jsp:forward page="settings.jsp" />
